function aiyagaritrans_version1 = aiyagaritrans_version1(x1, x2, x3, x4)

%FOR THE LONG-RUN INEQUALITY PROJECT

global nA A m nY sigma R Ts Tu Amat betas betau Rprime

%this was loading the same, final steady state, policies. was wrong.
load asprime asprime
load auprime auprime

Ysmatprime = x1;
Yumatprime = x2;

Ysinv = x3;
Yuinv = x4;

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%finding a' given fixed prices, l and a'' (called aprime here)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    %from LR project
    %as = (((delta*betas*Rprime*Ts*((Ysmatprime + Rprime*Amat - delta*asprime).^(-sigma).*Vsmatprime)')'./ Vsinv).^(-1/sigma)+ delta*Amat - Ysinv)/R;
    %au = (((delta*betau*Rprime*Tu*((Yumatprime + Rprime*Amat - delta*auprime).^(-sigma).*Vumatprime)')'./ Vuinv).^(-1/sigma)+ delta*Amat - Yuinv)/R;
    
    %here a simpler EE
    as = (((betas*Rprime*Ts*((Ysmatprime + Rprime*Amat - asprime).^(-sigma))')').^(-1/sigma)+ Amat - Ysinv)/R;
    au = (((betau*Rprime*Tu*((Yumatprime + Rprime*Amat - auprime).^(-sigma))')').^(-1/sigma)+ Amat - Yuinv)/R;
    
    %ainvs = as;
    %ainvu = au;
    %Putting the new policy function back on the grid. Need an
    %approximation outside of the grid points for that.
    for k = 1:nA
       for m = 1:nY   
           asnew(k,m) = bfendo2(A(k), nA, m, as)*A; %put everything in the function, global variables costly
           aunew(k,m) = bfendo2(A(k), nA, m, au)*A; 
        end
    end
    asnew = max(asnew, min(A));
    asnew = min(asnew, max(A)); 
    aunew = max(aunew, min(A));
    aunew = min(aunew, max(A)); 
    
    %differ = sum([sum(abs(asnew-asprime)), sum(abs(aunew-auprime))])
    
    %asprime = asnew;
    %auprime = aunew;  
    
    save asnew asnew
    save aunew aunew

    %save asprime asprime
    %save auprime auprime
